version: '3.8'

services:
  rph-brain-api:
    build: .
    container_name: rph_brain_api
    ports:
      - "8001:8001"
    environment:
      - RUNNING_IN_DOCKER=true
      - DB_HOST=host.docker.internal
      - DB_PORT=3306
      - DB_USER=root
      - DB_PASSWORD=
      - DB_NAME=sekolahpro
    extra_hosts:
      - "host.docker.internal:host-gateway"
    restart: unless-stopped
